<inp2:m_include t="incs/header"/>
<inp2:m_RenderElement name="combined_header" section="in-portal:system_event_subscriptions" prefix="system-event-subscription" title_preset="system_event_subscription_list" pagination="1"/>

<!-- ToolBar -->
<table class="toolbar" height="30" cellspacing="0" cellpadding="0" width="100%" border="0">
<tbody>
	<tr>
	  	<td>
	  		<script type="text/javascript">
	  			//do not rename - this function is used in default grid for double click!
	  			function edit()
	  			{
	  				std_edit_item('system-event-subscription', 'system_event_subscriptions/system_event_subscription_edit');
	  			}

	  			var a_toolbar = new ToolBar();
				a_toolbar.AddButton( new ToolBarButton('new_item', '<inp2:m_phrase label="la_ToolTip_NewSystemEventSubscription" escape="1"/>::<inp2:m_phrase label="la_ToolTip_Add" escape="1"/>',
						function() {
							std_precreate_item('system-event-subscription', 'system_event_subscriptions/system_event_subscription_edit');
						} ) );

				a_toolbar.AddButton( new ToolBarButton('edit', '<inp2:m_phrase label="la_ToolTip_Edit" escape="1"/>::<inp2:m_phrase label="la_ShortToolTip_Edit" escape="1"/>', edit) );
				a_toolbar.AddButton( new ToolBarButton('delete', '<inp2:m_phrase label="la_ToolTip_Delete" escape="1"/>',
						function() {
							std_delete_items('system-event-subscription')
						} ) );


				a_toolbar.AddButton( new ToolBarSeparator('sep1') );

				a_toolbar.AddButton( new ToolBarButton('view', '<inp2:m_phrase label="la_ToolTip_View" escape="1"/>', function() {
							show_viewmenu(a_toolbar,'view');
						}
				) );

				a_toolbar.Render();
			</script>
		</td>
		<inp2:m_RenderElement name="search_main_toolbar" prefix="system-event-subscription" grid="Default"/>
	</tr>
</tbody>
</table>

<inp2:m_DefineElement name="category_caption">
	<inp2:m_ifnot check="m_Param" name="is_first">
		<inp2:m_param name="separator"/>
	</inp2:m_ifnot>
	<inp2:m_param name="cat_name"/>
</inp2:m_DefineElement>

<inp2:m_DefineElement name="grid_category_td">
	<inp2:CategoryPath separator=" &gt; " render_as="category_caption" />
</inp2:m_DefineElement>

<inp2:m_DefineElement name="grid_item_name_td">
	<inp2:ItemName field="$associated_field"/>
</inp2:m_DefineElement>

<inp2:m_RenderElement name="grid" PrefixSpecial="system-event-subscription" IdField="SubscriptionId" grid="Default"/>
<script type="text/javascript">
	Grids['system-event-subscription'].SetDependantToolbarButtons( new Array('edit','delete') );
</script>
<inp2:m_include t="incs/footer"/>